# Uses of Class
org.globus.util.GlobusURL

Packages that use GlobusURL
Package
Description
org.globus.gram
This library is a full implementation of the GRAM client API.
org.globus.io.gass.server
Provides a pure Java Globus GASS server for transferring files via HTTPS.
org.globus.io.urlcopy
This library provides a simple API for transferring a file from one location to another.

## Uses of GlobusURL in org.globus.gram

Methods in org.globus.gram that return GlobusURL
Modifier and Type
Method
Description
`GlobusURL`
GramJob.`getID()`
Gets the job handle of this job.

## Uses of GlobusURL in org.globus.io.gass.server

Methods in org.globus.io.gass.server with parameters of type GlobusURL
Modifier and Type
Method
Description
`static void`
GassServer.`shutdown(GSSCredential cred, GlobusURL gassURL)`
Shutdowns a remote gass server.

## Uses of GlobusURL in org.globus.io.urlcopy

Fields in org.globus.io.urlcopy declared as GlobusURL
Modifier and Type
Field
Description
`protected GlobusURL`
UrlCopy.`dstUrl`
`protected GlobusURL`
UrlCopy.`srcUrl`
Methods in org.globus.io.urlcopy that return GlobusURL
Modifier and Type
Method
Description
`GlobusURL`
UrlCopy.`getDestinationUrl()`
Returns destination url.
`GlobusURL`
UrlCopy.`getSourceUrl()`
Returns source url.
Methods in org.globus.io.urlcopy with parameters of type GlobusURL
Modifier and Type
Method
Description
`void`
UrlCopy.`setDestinationUrl(GlobusURL dest)`
Sets destination url.
`void`
UrlCopy.`setSourceUrl(GlobusURL source)`
Sets source url.